<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="Sbmb" >
<!-- 	<typeAlias alias="Sbmbbean" type="com.vp.XXX.model.SbmbBean"/> -->
	
	<sql id="condition_Sbmb">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEmbbh'>
			(mbbh like concat('%',#LIKEmbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='mbbh'>
			(mbbh = #mbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmbmc'>
			(mbmc like concat('%',#LIKEmbmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='mbmc'>
			(mbmc = #mbmc#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwbbh'>
			(wbbh like concat('%',#LIKEwbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wbbh'>
			(wbbh = #wbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbmc'>
			(sbmc like concat('%',#LIKEsbmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbmc'>
			(sbmc = #sbmc#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbip'>
			(sbip like concat('%',#LIKEsbip# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbip'>
			(sbip = #sbip#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbdk'>
			(sbdk like concat('%',#LIKEsbdk# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbdk'>
			(sbdk = #sbdk#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbdlzh'>
			(sbdlzh like concat('%',#LIKEsbdlzh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbdlzh'>
			(sbdlzh = #sbdlzh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbdlmm'>
			(sbdlmm like concat('%',#LIKEsbdlmm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbdlmm'>
			(sbdlmm = #sbdlmm#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsxtlx'>
			(sxtlx like concat('%',#LIKEsxtlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sxtlx'>
			(sxtlx = #sxtlx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExzbh'>
			(xzbh like concat('%',#LIKExzbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xzbh'>
			(xzbh = #xzbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsblx'>
			(sblx like concat('%',#LIKEsblx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sblx'>
			(sblx = #sblx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbxh'>
			(sbxh like concat('%',#LIKEsbxh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbxh'>
			(sbxh = #sbxh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbbbh'>
			(sbbbh like concat('%',#LIKEsbbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbbbh'>
			(sbbbh = #sbbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEqybh'>
			(qybh like concat('%',#LIKEqybh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='qybh'>
			(qybh = #qybh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjbh'>
			(cjbh like concat('%',#LIKEcjbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjbh'>
			(cjbh = #cjbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjmc'>
			(cjmc like concat('%',#LIKEcjmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjmc'>
			(cjmc = #cjmc#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbazwz'>
			(sbazwz like concat('%',#LIKEsbazwz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbazwz'>
			(sbazwz = #sbazwz#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jd'>
			(jd = #jd#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wd'>
			(wd = #wd#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzx'>
			(tpwzx like concat('%',#LIKEtpwzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzx'>
			(tpwzx = #tpwzx#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzy'>
			(tpwzy like concat('%',#LIKEtpwzy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzy'>
			(tpwzy = #tpwzy#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKErjbbh'>
			(rjbbh like concat('%',#LIKErjbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='rjbbh'>
			(rjbbh = #rjbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEspsrtds'>
			(spsrtds like concat('%',#LIKEspsrtds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='spsrtds'>
			(spsrtds = #spsrtds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEspsctds'>
			(spsctds like concat('%',#LIKEspsctds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='spsctds'>
			(spsctds = #spsctds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEypsrtds'>
			(ypsrtds like concat('%',#LIKEypsrtds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ypsrtds'>
			(ypsrtds = #ypsrtds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEypsctds'>
			(ypsctds like concat('%',#LIKEypsctds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ypsctds'>
			(ypsctds = #ypsctds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbjsrtds'>
			(bjsrtds like concat('%',#LIKEbjsrtds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bjsrtds'>
			(bjsrtds = #bjsrtds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbjsctds'>
			(bjsctds like concat('%',#LIKEbjsctds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bjsctds'>
			(bjsctds = #bjsctds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzdzls'>
			(zdzls like concat('%',#LIKEzdzls# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zdzls'>
			(zdzls = #zdzls#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmlczxy'>
			(mlczxy like concat('%',#LIKEmlczxy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='mlczxy'>
			(mlczxy = #mlczxy#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtmtds'>
			(tmtds like concat('%',#LIKEtmtds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tmtds'>
			(tmtds = #tmtds#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdlfwzbh'>
			(dlfwzbh like concat('%',#LIKEdlfwzbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dlfwzbh'>
			(dlfwzbh = #dlfwzbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEdk'>
			(dk like concat('%',#LIKEdk# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='dk'>
			(dk = #dk#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEms'>
			(ms like concat('%',#LIKEms# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ms'>
			(ms = #ms#  )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- ???? -->
	<insert id="insert_Sbmb" parameterClass="java.util.Map">
		insert into 
		Sbmb(
			<isNotEmpty prepend='' property='mbbh'>mbbh</isNotEmpty>
<isNotEmpty prepend=',' property='mbmc'>mbmc</isNotEmpty>
<isNotEmpty prepend=',' property='wbbh'>wbbh</isNotEmpty>
<isNotEmpty prepend=',' property='sbmc'>sbmc</isNotEmpty>
<isNotEmpty prepend=',' property='sbip'>sbip</isNotEmpty>
<isNotEmpty prepend=',' property='sbdk'>sbdk</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlzh'>sbdlzh</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlmm'>sbdlmm</isNotEmpty>
<isNotEmpty prepend=',' property='sxtlx'>sxtlx</isNotEmpty>
<isNotEmpty prepend=',' property='xzbh'>xzbh</isNotEmpty>
<isNotEmpty prepend=',' property='sblx'>sblx</isNotEmpty>
<isNotEmpty prepend=',' property='sbxh'>sbxh</isNotEmpty>
<isNotEmpty prepend=',' property='sbbbh'>sbbbh</isNotEmpty>
<isNotEmpty prepend=',' property='qybh'>qybh</isNotEmpty>
<isNotEmpty prepend=',' property='cjbh'>cjbh</isNotEmpty>
<isNotEmpty prepend=',' property='cjmc'>cjmc</isNotEmpty>
<isNotEmpty prepend=',' property='sbazwz'>sbazwz</isNotEmpty>
<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzx'>tpwzx</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzy'>tpwzy</isNotEmpty>
<isNotEmpty prepend=',' property='rjbbh'>rjbbh</isNotEmpty>
<isNotEmpty prepend=',' property='spsrtds'>spsrtds</isNotEmpty>
<isNotEmpty prepend=',' property='spsctds'>spsctds</isNotEmpty>
<isNotEmpty prepend=',' property='ypsrtds'>ypsrtds</isNotEmpty>
<isNotEmpty prepend=',' property='ypsctds'>ypsctds</isNotEmpty>
<isNotEmpty prepend=',' property='bjsrtds'>bjsrtds</isNotEmpty>
<isNotEmpty prepend=',' property='bjsctds'>bjsctds</isNotEmpty>
<isNotEmpty prepend=',' property='zdzls'>zdzls</isNotEmpty>
<isNotEmpty prepend=',' property='mlczxy'>mlczxy</isNotEmpty>
<isNotEmpty prepend=',' property='tmtds'>tmtds</isNotEmpty>
<isNotEmpty prepend=',' property='dlfwzbh'>dlfwzbh</isNotEmpty>
<isNotEmpty prepend=',' property='dk'>dk</isNotEmpty>
<isNotEmpty prepend=',' property='ms'>ms</isNotEmpty>

	    <![CDATA[ 
	        ) values ( 
	    ]]>  
			<isNotEmpty prepend='' property='mbbh'>#mbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='mbmc'>#mbmc#</isNotEmpty>
<isNotEmpty prepend=',' property='wbbh'>#wbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbmc'>#sbmc#</isNotEmpty>
<isNotEmpty prepend=',' property='sbip'>#sbip#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdk'>#sbdk#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlzh'>#sbdlzh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlmm'>#sbdlmm#</isNotEmpty>
<isNotEmpty prepend=',' property='sxtlx'>#sxtlx#</isNotEmpty>
<isNotEmpty prepend=',' property='xzbh'>#xzbh#</isNotEmpty>
<isNotEmpty prepend=',' property='sblx'>#sblx#</isNotEmpty>
<isNotEmpty prepend=',' property='sbxh'>#sbxh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbbbh'>#sbbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='qybh'>#qybh#</isNotEmpty>
<isNotEmpty prepend=',' property='cjbh'>#cjbh#</isNotEmpty>
<isNotEmpty prepend=',' property='cjmc'>#cjmc#</isNotEmpty>
<isNotEmpty prepend=',' property='sbazwz'>#sbazwz#</isNotEmpty>
<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzx'>#tpwzx#</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzy'>#tpwzy#</isNotEmpty>
<isNotEmpty prepend=',' property='rjbbh'>#rjbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='spsrtds'>#spsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='spsctds'>#spsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='ypsrtds'>#ypsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='ypsctds'>#ypsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='bjsrtds'>#bjsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='bjsctds'>#bjsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='zdzls'>#zdzls#</isNotEmpty>
<isNotEmpty prepend=',' property='mlczxy'>#mlczxy#</isNotEmpty>
<isNotEmpty prepend=',' property='tmtds'>#tmtds#</isNotEmpty>
<isNotEmpty prepend=',' property='dlfwzbh'>#dlfwzbh#</isNotEmpty>
<isNotEmpty prepend=',' property='dk'>#dk#</isNotEmpty>
<isNotEmpty prepend=',' property='ms'>#ms#</isNotEmpty>

	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- ??? -->
	<update id="update_Sbmb" parameterClass="java.util.Map">
		update Sbmb 
		<dynamic prepend="set ">   
			<isNotEmpty prepend=',' property='mbmc'>mbmc=#mbmc#</isNotEmpty>
<isNotEmpty prepend=',' property='wbbh'>wbbh=#wbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbmc'>sbmc=#sbmc#</isNotEmpty>
<isNotEmpty prepend=',' property='sbip'>sbip=#sbip#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdk'>sbdk=#sbdk#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlzh'>sbdlzh=#sbdlzh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbdlmm'>sbdlmm=#sbdlmm#</isNotEmpty>
<isNotEmpty prepend=',' property='sxtlx'>sxtlx=#sxtlx#</isNotEmpty>
<isNotEmpty prepend=',' property='xzbh'>xzbh=#xzbh#</isNotEmpty>
<isNotEmpty prepend=',' property='sblx'>sblx=#sblx#</isNotEmpty>
<isNotEmpty prepend=',' property='sbxh'>sbxh=#sbxh#</isNotEmpty>
<isNotEmpty prepend=',' property='sbbbh'>sbbbh=#sbbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='qybh'>qybh=#qybh#</isNotEmpty>
<isNotEmpty prepend=',' property='cjbh'>cjbh=#cjbh#</isNotEmpty>
<isNotEmpty prepend=',' property='cjmc'>cjmc=#cjmc#</isNotEmpty>
<isNotEmpty prepend=',' property='sbazwz'>sbazwz=#sbazwz#</isNotEmpty>
<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzx'>tpwzx=#tpwzx#</isNotEmpty>
<isNotEmpty prepend=',' property='tpwzy'>tpwzy=#tpwzy#</isNotEmpty>
<isNotEmpty prepend=',' property='rjbbh'>rjbbh=#rjbbh#</isNotEmpty>
<isNotEmpty prepend=',' property='spsrtds'>spsrtds=#spsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='spsctds'>spsctds=#spsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='ypsrtds'>ypsrtds=#ypsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='ypsctds'>ypsctds=#ypsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='bjsrtds'>bjsrtds=#bjsrtds#</isNotEmpty>
<isNotEmpty prepend=',' property='bjsctds'>bjsctds=#bjsctds#</isNotEmpty>
<isNotEmpty prepend=',' property='zdzls'>zdzls=#zdzls#</isNotEmpty>
<isNotEmpty prepend=',' property='mlczxy'>mlczxy=#mlczxy#</isNotEmpty>
<isNotEmpty prepend=',' property='tmtds'>tmtds=#tmtds#</isNotEmpty>
<isNotEmpty prepend=',' property='dlfwzbh'>dlfwzbh=#dlfwzbh#</isNotEmpty>
<isNotEmpty prepend=',' property='dk'>dk=#dk#</isNotEmpty>
<isNotEmpty prepend=',' property='ms'>ms=#ms#</isNotEmpty>

		</dynamic>
			where 1=1 
			<isNotEmpty  prepend='AND ' property='XGTJmbbh'>
mbbh= #XGTJmbbh#
 </isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJmbmc'>
mbmc= #XGTJmbmc#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJwbbh'>
wbbh= #XGTJwbbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbmc'>
sbmc= #XGTJsbmc#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbip'>
sbip= #XGTJsbip#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbdk'>
sbdk= #XGTJsbdk#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbdlzh'>
sbdlzh= #XGTJsbdlzh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbdlmm'>
sbdlmm= #XGTJsbdlmm#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsxtlx'>
sxtlx= #XGTJsxtlx#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJxzbh'>
xzbh= #XGTJxzbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsblx'>
sblx= #XGTJsblx#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbxh'>
sbxh= #XGTJsbxh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbbbh'>
sbbbh= #XGTJsbbbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJqybh'>
qybh= #XGTJqybh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJcjbh'>
cjbh= #XGTJcjbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJcjmc'>
cjmc= #XGTJcjmc#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJsbazwz'>
sbazwz= #XGTJsbazwz#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJjd'>
jd= #XGTJjd#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJwd'>
wd= #XGTJwd#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJtpwzx'>
tpwzx= #XGTJtpwzx#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJtpwzy'>
tpwzy= #XGTJtpwzy#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJrjbbh'>
rjbbh= #XGTJrjbbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJspsrtds'>
spsrtds= #XGTJspsrtds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJspsctds'>
spsctds= #XGTJspsctds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJypsrtds'>
ypsrtds= #XGTJypsrtds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJypsctds'>
ypsctds= #XGTJypsctds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJbjsrtds'>
bjsrtds= #XGTJbjsrtds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJbjsctds'>
bjsctds= #XGTJbjsctds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJzdzls'>
zdzls= #XGTJzdzls#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJmlczxy'>
mlczxy= #XGTJmlczxy#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJtmtds'>
tmtds= #XGTJtmtds#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJdlfwzbh'>
dlfwzbh= #XGTJdlfwzbh#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJdk'>
dk= #XGTJdk#
</isNotEmpty>
<isNotEmpty prepend='AND ' property='XGTJms'>
ms= #XGTJms#
</isNotEmpty>

	</update>
	
	<!-- ??? -->
	<delete id="delete_Sbmb" parameterClass="java.util.Map">
		delete from Sbmb 
		<include refid="condition_Sbmb"/>
	</delete>
	
	<!-- ??????? -->
	<delete id="batch_delete_Sbmb" parameterClass="java.util.Map">
		delete from Sbmb 
		where 1=1
			<isNotEmpty prepend='AND ' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- ??? -->
	<select id="query_Sbmb" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			d.csmc as sxtlxname,p.xzmc,dl.zmc,l.csmc as sbzlname,c.cjmc,a.mbbh,a.mbmc,a.wbbh,a.sbmc,a.sbip,a.sbdk,a.sbdlzh,a.sbdlmm,a.sxtlx,a.xzbh,a.sblx,a.sbxh,a.sbbbh,a.qybh,a.cjbh,a.cjmc,a.sbazwz,a.jd,a.wd,a.tpwzx,a.tpwzy,a.rjbbh,a.spsrtds,a.spsctds,a.ypsrtds,a.ypsctds,a.bjsrtds,a.bjsctds,a.zdzls,a.mlczxy,a.tmtds,a.dlfwzbh,a.dk,a.ms
		from Sbmb a left join sbcj c on a.cjbh = cast(c.cjbh as SIGNED INTEGER) 
		left join xtcl l on a.sblx = l.csdm and l.csdl = 'vdType'
		left join ptdlfwz dl on a.dlfwzbh = dl.zxh
		left join ptxzs p on p.xzbh = a.xzbh
		left join xtcl d           on a.sxtlx = d.csdm  				and d.csdl = 'channelSmallType'
		<include refid="condition_Sbmb"/>
	</select>
	
	<!-- ??????? -->
	<select id="count_Sbmb" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from Sbmb 
		<include refid="condition_Sbmb"/>			
	</select>
	
	<!-- ???????? -->
	<insert id="batch_insert_Sbmb" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into Sbmb(
			 <![CDATA[ 
				mbbh,mbmc,wbbh,sbmc,sbip,sbdk,sbdlzh,sbdlmm,sxtlx,xzbh,sblx,sbxh,sbbbh,qybh,cjbh,cjmc,sbazwz,jd,wd,tpwzx,tpwzy,rjbbh,spsrtds,spsctds,ypsrtds,ypsctds,bjsrtds,bjsctds,zdzls,mlczxy,tmtds,dlfwzbh,dk,ms
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
			#list[].mbbh#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











